# Uses of Record Class
org.springframework.beans.factory.support.RegisteredBean.InstantiationDescriptor

Packages that use RegisteredBean.InstantiationDescriptor
Package
Description
org.springframework.beans.factory.aot
AOT support for bean factories.
org.springframework.beans.factory.support
Classes supporting the `org.springframework.beans.factory` package.

## Uses of RegisteredBean.InstantiationDescriptor in org.springframework.beans.factory.aot

Methods in org.springframework.beans.factory.aot with parameters of type RegisteredBean.InstantiationDescriptor
Modifier and Type
Method
Description
`org.springframework.javapoet.CodeBlock`
InstanceSupplierCodeGenerator.`generateCode(RegisteredBean registeredBean, RegisteredBean.InstantiationDescriptor instantiationDescriptor)`
Generate the instance supplier code.

## Uses of RegisteredBean.InstantiationDescriptor in org.springframework.beans.factory.support

Methods in org.springframework.beans.factory.support that return RegisteredBean.InstantiationDescriptor
Modifier and Type
Method
Description
`RegisteredBean.InstantiationDescriptor`
RegisteredBean.`resolveInstantiationDescriptor()`
Resolve the descriptor to use to instantiate this bean.